import com.code_intelligence.jazzer.api.FuzzedDataProvider;
import com.code_intelligence.jazzer.junit.FuzzTest;
import org.junit.Assert;
import org.junit.Test;

import java.security.InvalidParameterException;

public class EmailMatcherFuzzTest {
    @FuzzTest
    public static void fuzzerTestOneInput(FuzzedDataProvider data) {
        String email = data.consumeString(100);
        if(EmailMatcher.isValidEmail(email)) {
            System.out.println("Valid email address: " + email);
            throw new InvalidParameterException("Valid email found!");
        }
    }
}
